Package org.apache.synapse.transport.passthru.core.ssl

## Class SSLServerConnFactoryBuilder

- java.lang.Object
- - org.apache.synapse.transport.nhttp.config.ServerConnFactoryBuilder
  - - org.apache.synapse.transport.passthru.core.ssl.SSLServerConnFactoryBuilder

-     public class SSLServerConnFactoryBuilder
      extends ServerConnFactoryBuilder

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.transport.nhttp.config.ServerConnFactoryBuilder

      `ssl`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SSLServerConnFactoryBuilder​(org.apache.axis2.description.TransportInDescription transportIn, org.apache.http.HttpHost host)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ServerConnFactoryBuilder` | `parseSSL​(org.apache.axiom.om.OMElement keyStoreEl, org.apache.axiom.om.OMElement trustStoreEl, org.apache.axiom.om.OMElement clientAuthEl, org.apache.axiom.om.OMElement httpsProtocolsEl, String sslProtocol, org.apache.axiom.om.OMElement cvp, org.apache.axiom.om.OMElement preferredCiphers)` |

    - ### Methods inherited from class org.apache.synapse.transport.nhttp.config.ServerConnFactoryBuilder

      `build, createSSLContext, createSSLContext, loadMultiProfileSSLConfig, parseMultiProfileSSL, parseSSL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLServerConnFactoryBuilder

          public SSLServerConnFactoryBuilder​(org.apache.axis2.description.TransportInDescription transportIn,
                                             org.apache.http.HttpHost host)

  - ### Method Detail

    - #### parseSSL

          public ServerConnFactoryBuilder parseSSL​(org.apache.axiom.om.OMElement keyStoreEl,
                                                   org.apache.axiom.om.OMElement trustStoreEl,
                                                   org.apache.axiom.om.OMElement clientAuthEl,
                                                   org.apache.axiom.om.OMElement httpsProtocolsEl,
                                                   String sslProtocol,
                                                   org.apache.axiom.om.OMElement cvp,
                                                   org.apache.axiom.om.OMElement preferredCiphers)
                                            throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`